Summary:	Optimized MPEG Audio Layer 2 (MP2) encoder
Summary(pl.UTF-8):	Zoptymalizowany koder MPEG Audio Layer 2 (MP2)
Name:		twolame
Version:	0.4.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/twolame/%{name}-%{version}.tar.gz
# Source0-md5:	400c164ed096c7aea82bcf8edcd3f6f9
URL:		http://www.twolame.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.10
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder based on
tooLAME by Mike Cheng, which in turn is based upon the ISO dist10 code
and portions of LAME.

Features added to TwoLAME:
 - Fully thread-safe
 - Static and shared library (libtwolame)
 - API very similar to LAME's (for easy porting)
 - C99 compliant
 - Frontend supports wider range of input files (using libsndfile)

%description -l pl.UTF-8
TwoLAME to zoptymalizowany koder MPEG Audio Layer 2 (MP2) oparty na
tooLAME Mike'a Chenga, który z kolei jest oparty na kodzie ISO dist10
i fragmentach LAME.

Cechy dodane do TwoLAME:
 - pełna zgodność z wątkami
 - statyczna i współdzielona biblioteka (libtwolame)
 - API bardzo podobne do API LAME (dla łatwego portowania)
 - zgodność z C99
 - frontend obsługuje wiele rodzajów plików wejściowych (poprzez
   libsndfile)

%package libs
Summary:	TwoLAME MP2 encoding library
Summary(pl.UTF-8):	Biblioteka kodująca MP2
Group:		Libraries
Conflicts:	twolame < 0.3.9

%description libs
TwoLAME MP2 encoding library.

%description libs -l pl.UTF-8
Biblioteka kodująca MP2.

%package devel
Summary:	Header files for TwoLAME library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TwoLAME
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for TwoLAME library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TwoLAME.

%package static
Summary:	Static TwoLAME library
Summary(pl.UTF-8):	Statyczna biblioteka TwoLAME
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static TwoLAME library.

%description static -l pl.UTF-8
Statyczna biblioteka TwoLAME.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/twolame

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/twolame
%{_mandir}/man1/twolame.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtwolame.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtwolame.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libtwolame.so
%{_libdir}/libtwolame.la
%{_includedir}/twolame.h
%{_pkgconfigdir}/twolame.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtwolame.a
%changelog
* Sat Mar 14 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/twolame.git;a=log;h=master

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 7630b70
- updated to 0.4.0

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 57b9323
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 5c6099a
- updated to 0.3.13
- removed obsolete automake18 patch

* Wed Oct 28 2009 Szymon Siwek <sls@pld-linux.org> 3d91a50
- added automake18.patch

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 0053a78
- updated to 0.3.12

* Sun Apr 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 03c7650
- up to 0.3.10

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 25893f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2308a45
- converted to UTF-8

* Mon Jan 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 393252c
- pl for -libs
- autoheader, ac/am versions
- restored killing of overriding optflags, dropped unnecessary configure opts

* Mon Jan 08 2007 tommat <tommat@pld-linux.org> 40fa18c
- up to 0.3.9
- autoize
- separated libs package

* Fri Dec 29 2006 Jakub Bogusz <qboosh@pld-linux.org> b5797b8
- new

